# __gnu_cxx::typelist::detail::append_typelist_< chain< Hd, Tl > > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Hd, typename Tl>
struct __gnu_cxx::typelist::detail::append_typelist_< chain< Hd, Tl > >

Definition at line 194 of file typelist.h.

## Public Types

- typedef append< Hd, node<
  rest_type > >::type::root type

The documentation for this struct was generated from the following file:

- typelist.h